
/*Blog Listing*/

img{
    height: auto;
    max-width: 100%;
}

section.blog-page-section {
    padding: 60px 0;
}

.section-heading .sub-heading .heading-s {
    color: var(--btn-color);
}

.section-heading .sub-heading .heading-s:before {
    width: 50px;
    left: -25px;
    height: 2px;
}

.blog-page-section .section-heading .heading-h {
    text-align: center;
    text-transform: capitalize;
}

/*blog sidebar*/

.blog-side-bar .boxx {
    background: #F3F4F6;
    padding: 35px;
    margin-bottom: 30px;
}

.blog-side-bar h4.boxx-txt {
    font-size: 24px;
    font-weight: 600;
    color: var(--h-color);
    margin-bottom: 20px;
}

.blog-side-bar .search input {
    border: none;
    outline: none;
    padding: 15px;
    width: 90%;
}

.blog-side-bar .search button {
    box-shadow: none;
    background: var(--sec-color);
    border: none;
    outline: none;
    width: 20%;
}

.blog-side-bar .search .blog-bar {
    display: flex;
    width: 100%;
}

.blog-side-bar .search button img {
    filter: invert(1);
}

.blog-side-bar .boxx .recent-post-main {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
    margin: 20px 0;
}

.blog-side-bar .recent-post-main .post-img {
    width: 30%;
}

.blog-side-bar .recent-post-main .post-title a.title-inn {
    color: var(--h-color);
    display: -webkit-inline-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    font-size: 15px;
    font-weight: 600;
}

.blog-side-bar .recent-post-main .post-img img {
    width: 84px;
    height: 84px;
    object-fit: cover;
}

.blog-side-bar .recent-post-main  .post-title {
    width: 70%;
}

.blog-side-bar .recent-post-main .post-title .user {
    display: block;
    font-size: 15px;
    margin-bottom: 6px;
}

.blog-side-bar .recent-post-main .post-title .user img {
    margin-right: 2px;
    width: 18px;
}

.blog-side-bar .boxx .categories-title li {
    padding: 18px 0;
    border-bottom: 1px solid #DADFEC;
}

.blog-side-bar .boxx .categories-title li a {
    color: var(--txt-color);
    font-size: 16px;
    text-transform: capitalize;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.blog-side-bar .side-gall {
    margin-top: 14px;
}

.blog-side-bar .side-gall img {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.blog-side-bar .bl-gallery .col-4 {
    padding: 0 6px;
}

.blog-side-bar .bl-tags ul.tags-inn {
    display: flex;
    flex-wrap: wrap;
}

.blog-side-bar .bl-tags ul.tags-inn li {
    background: #fff;
    padding: 10px;
    margin-right: 15px;
    margin-bottom: 15px;
    font-size: 15px;
    font-weight: 600;
    color: var(--h-color);
    transition: .3s;
}

.blog-side-bar .bl-tags ul.tags-inn li:hover {
    background: var(--sec-color);
    color: #fff;
    transition: .3s;
}


@media(max-width: 767px){

    .blog-side-bar .boxx {
        padding: 25px;
        margin-bottom: 15px;
    }
    
    .blog-side-bar .search input {
        padding: 10px 15px;
    }
    
    .blog-side-bar h4.boxx-txt {
        font-size: 20px;
    }
    
    .blog-side-bar .recent-post-main .post-img img {
        height: 70px;
        width: 70px;
    }
    
    .blog-side-bar .recent-post-main .post-title a.title-inn {
        font-size: 13px;
        line-height: normal;
    }
    
    .blog-side-bar .recent-post-main .post-title .user img {
        width: 15px;
    }
    
    .blog-side-bar .boxx .categories-title li a {
        font-size: 13px;
    }
    
    .blog-side-bar .bl-tags ul.tags-inn li {
        margin-right: 6px;
        padding: 8px;
        font-size: 11px;
    }
    
}

@media(min-width: 767px) and (max-width: 992px) {
    
    .blog-side-bar .boxx {
        padding: 15px;
    }
    
    .blog-side-bar h4.boxx-txt {
        font-size: 18px;
        margin-bottom: 14px;
    }
    
    .blog-side-bar .recent-post-main .post-img img {
        height: 60px;
        width: 60px;
    }
    
    .blog-side-bar .boxx .recent-post-main {
        gap: 5px;
        margin: 10px 0;
    }
    
    .blog-side-bar .recent-post-main .post-title a.title-inn {
        font-size: 13px;
        line-height: normal;
    }
    
    .blog-side-bar .recent-post-main .post-title .user {
        font-size: 13px;
    }
    
    .blog-side-bar .recent-post-main .post-title .user img {
        width: 15px;
        margin-right: 1px;
    }
    
    .blog-side-bar .boxx .categories-title li a {
        font-size: 13px;
    }
    
    .blog-side-bar .boxx .categories-title li {
        padding: 10px 0;
    }
    
    .blog-side-bar .bl-tags ul.tags-inn li {
        font-size: 14px;
        margin-right: 8px;
    }
    
    .blog-side-bar .side-gall img {
        object-fit: cover;
    }
    
    .blog-side-bar .side-gall {
        margin-top: 0;
        margin-bottom: 10px;
    }
    
    .blog-side-bar .search input {
        padding: 10px;
    }
    
}

/*blog sidebar end*/

/*Blog listing left*/


.blog-page-section .single-blog {
    margin-bottom: 30px;
}

.single-blog .main-blogs-img {
    width: 100%;
    height: 450px;
    overflow: hidden;
}

.single-blog .main-blogs-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .4s;
}

.single-blog:hover .post-list-main {
    background: #E5EEFF;
    transition: .3s;
}

.single-blog:hover .main-blogs-img img {
    transform: scale(1.09);
    transition: .4s;
}

.single-blog .post-list-main {
    background: #F3F4F6;
    padding: 30px 40px 20px;
    transition: .3s;
}

.post-list-main .post-list-cont .post-ttl h4 {
    color: var(--h-color);
    font-size: 28px;
    font-weight: 600;
    font-family: 'Unbounded' !IMPORTANT;
}

.post-list-main .post-list-cont .post-desc {
    color: var(--txt-color);
    margin-bottom: 10px;
}

.post-list-main .post-list-cont {
    border-bottom: 1px solid #cecece;
    margin-bottom: 20px;
}

.single-blog .post-list-main .post-bttn a {
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    color: var(--sec-color);
}

.single-blog .post-list-main .post-bttn img {
    width: 20px;
    position: relative;
    top: -1px;
}

.single-blog .post-list-main .post-date {
    padding-bottom: 20px;
}

.single-blog .post-list-main .post-date span {
    color: var(--txt-color);
    font-size: 15px;
}

.single-blog .post-list-main .post-date span img {
    margin-right: 7px;
    position: relative;
    top: -2px;
}

.single-blog .post-list-main .post-date span.user {
    margin-left: 30px;
}

.post-list-main .post-list-cont .blog-description {
    color: var(--txt-color);
}


@media(max-width: 767px){

    .section-heading .sub-heading .heading-s:before {
        height: 1px;
        width: 23px;
        left: 0;
    }
    
    .section-heading .sub-heading {
        text-align: center !important;
    }
    
    .single-blog .main-blogs-img {
        height: auto;
    }
    
    .single-blog .post-list-main {
        padding: 30px 20px 10px;
    }
    
    .post-list-main .post-list-cont .post-ttl h4 {
        font-size: 13px;
        line-height: normal;
    }
    
    .post-list-main .post-list-cont .blog-description {
        font-size: 13px;
        line-height: normal;
    }
    
    .single-blog .post-list-main .post-date {
        padding-bottom: 10px;
    }
    
    .single-blog .post-list-main .post-date span {
        font-size: 13px;
    }
    
    .single-blog .post-list-main .post-date span img {
        max-width: 10px;
        margin-right: 3px;
    }
    
    .single-blog .post-list-main .post-date span.user {
        margin-left: 10px;
    }
    
    .post-list-main .post-list-cont {
        margin-bottom: 10px;
    }
    
    .single-blog .post-list-main .post-bttn a {
        font-size: 12px;
    }
    
    .single-blog .post-list-main .post-bttn img {
        width: 15px;
    }
    
    section.blog-page-section {
        padding: 30px 0;
    }
}

@media(min-width: 767px) and (max-width: 992px) {
 
    .single-blog .main-blogs-img {
        height: 300px;
    }
    
    .single-blog .post-list-main {
        padding: 20px;
    }
    
    .post-list-main .post-list-cont .post-ttl h4 {
        font-size: 18px;
    }
    
    .post-list-main .post-list-cont .blog-description {
        font-size: 14px;
    }
    
    .post-list-main .post-list-cont {
        margin-bottom: 12px;
    }
    
    .single-blog .post-list-main .post-bttn a {
        font-size: 13px;
    }
    
    .single-blog .post-list-main .post-bttn img {
        width: 16px;
    }
    
    .single-blog .post-list-main .post-date span {
        font-size: 13px;
    }
    
    .single-blog .post-list-main .post-date span img {
        width: 11px;
        margin-right: 3px;
    }
    
    .single-blog .post-list-main .post-date {
        padding-bottom: 10px;
    }
    
}


/*listing css end*/

/*Blog view css*/

section.blogs-view-page {
    padding: 60px 0;
}

.all-blog .view-content {
    padding: 30px 0;
}

.all-blog .view-content .post-date {
    padding-bottom: 20px;
}

.all-blog .view-content .post-cont-inn h1 {
    display: block;
    font-size: 30px;
    font-family: 'Unbounded' !important;
    font-weight: 600;
    margin-bottom: 30px;
}

.blogs-view-page .post-end-link {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.post-end-link .share-inn ul {
    display: flex;
    align-items: center;
}

.post-end-link .share-inn p {
    font-weight: 800;
    margin-right: 10px;
    margin-bottom: 0;
}

.post-end-link .share-social ul li {
    margin-right: 11px;
}

.post-end-link .share-social ul li a {
    display: inline-flex;
}

.post-end-link .share-tags ul li:last-child {
    margin-left: 5px;
}

.blogs-view-page .blog-navigation {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid #e4e4e4;
    border-width: 1px 0;
    padding: 30px 0;
}

.blogs-view-page .blog-navigation .content span {
    color: var(--h-color);
    font-weight: 600;
}

.blogs-view-page .blog-navigation .prev .content span img {
    margin-right: 40px;
}

.blogs-view-page .blog-navigation .next .content span img {
    margin-left: 40px;
}

@media(max-width:767px){
    
    .all-blog .view-content .post-cont-inn h1 {
        font-size: 16px;
        margin-bottom: 12px;
    }
    
    .view-content .post-cont-inn p, 
    .view-content .post-cont-inn li, 
    .view-content .post-cont-inn tr, 
    .view-content .post-cont-inn td, 
    .view-content .post-cont-inn span {
        font-size: 12px;
        line-height: normal;
    }
    
    section.blogs-view-page {
        padding: 30px 0;
    }
    
    .all-blog .view-content .post-date {
        padding-bottom: 10px;
    }
    
    .all-blog .view-content .post-date span {
        font-size: 12px;
    }
    
    .all-blog .view-content .post-date span img {
        max-width: 11px;
        margin-right: 4px;
    }
    
    .all-blog .view-content .post-date span.user {
        margin-left: 20px;
    }
    
    .blogs-view-page .post-end-link {
        display: block;
        border: solid #cecece;
        border-width: 1px 0;
        padding-top: 12px;
        margin-bottom: 20px;
    }
    
    .post-end-link .share-tags ul li {
        font-size: 13px;
    }
    
    .post-end-link .share-inn p {
        font-size: 13px;
        margin-right: 7px;
    }
    
    .post-end-link .share-inn ul {
        margin-bottom: 10px;
    }

    
}

@media(min-width:767px) and (max-width: 992px) {
 
    section.blogs-view-page {
        padding: 40px 0;
    }
    
    .all-blog .view-content .post-cont-inn h1 {
        font-size: 24px;
        margin-bottom: 20px;
    }
    
    .all-blog .view-content .post-date span {
        font-size: 14px;
    }
    
    .view-content .post-cont-inn p, .view-content .post-cont-inn li, .view-content .post-cont-inn tr, .view-content .post-cont-inn td, .view-content .post-cont-inn span {
        font-size: 14px;
        line-height: normal;
    }
    
    .all-blog .view-content .post-date {
        padding-bottom: 10px;
    }
    
    .post-end-link .share-tags ul li {
        font-size: 14px;
    }
    
    .blogs-view-page .post-end-link {
        display: block;
        border: solid #cecece;
        border-width: 1px 0;
        padding: 10px 0;
    }
    
    .post-end-link .share-inn p {
        font-size: 15px;
        margin-right: 7px;
    }
    
    .post-end-link .share-tags {
        margin-bottom: 10px;
    }
    
}


/*Blog view css end*/


/*Blog Comments css*/

section.post-message .container {
    padding: 50px;
    background: #EFF1F5;
}

.post-message .reply {
    font-size: 30px;
    font-weight: 600;
    color: var(--hcolor);
    padding-bottom: 20px;
}

.post-message .leave-message .form-group {
    margin: 10px 0;
    position: relative;
}

.leave-message .form-group input, 
.leave-message .form-group textarea {
    padding: 15px 20px;
    color: var(--txt-color);
    box-shadow: none;
    border: none;
    resize: none;
}

.post-message .leave-message .form-group img {
    position: absolute;
    inset: 0;
    margin: auto;
    left: unset;
    right: 40px;
}


/*...........*/

.comments-section {
    padding: 40px 0;
}

.comments-title {
    font-size: 30px;
    margin-bottom: 25px;
    font-weight: 600;
}

.comment-item {
    display: flex;
    align-items: flex-start;
    position: relative;
    padding: 25px 0;
    border-bottom: 1px solid #eee;
    gap: 25px;
}

.comment-avatar {
    width: 120px;
    min-width: 120px;
    height: 90px;
    background: #f7f7f7;
    display: flex;
    align-items: center;
    justify-content: center;
}

.comment-avatar img {
    width: 70px;
    height: 70px;
    object-fit: cover;
}

.comment-content {
    flex: 1;
}

.comment-date {
    display: block;
    font-size: 14px;
    color: var(--txt-color);
    margin-bottom: 4px;
}

.comment-content h4 {
    font-size: 20px;
    margin-bottom: 5px;
    font-weight: 600;
}

.comment-content p {
    font-size: 16px;
    line-height: 20px;
    color: var(--txt-color);
    margin: 0;
}

.comment-reply {
    color: #1769ff;
    font-size: 14px;
    text-decoration: none;
    white-space: nowrap;
    margin-top: 10px;
}

.comment-reply span {
    font-size: 18px;
}

.comment-item:nth-child(odd) {
    padding-left: 90px;
}

section.post-comment-sec {
    padding: 50px 0;
}

.comment-item:last-child {
    border: none;
}

.post-message .leave-message .btn.inquiry_form_btn.herrsav-btn2 {
    width: 100%;
    padding: 15px;
    margin-top: 10px;
    background: var(--sec-color);
}

@media (max-width: 767px) {
    .comment-item {
        display: block;
        padding: 15px 0;
    }

    .comment-avatar {
        width: 50px;
        min-width: 50px;
        height: 50px;
    }

    .comment-avatar img {
        width: 40px;
        height: 40px;
    }

    .comment-reply {
        position: absolute;
        right: 0;
        top: 25px;
    }
    
    .blogs-view-page .blog-navigation  .content span img {
        max-width: 30px;
        margin-right: 4px !important;
    }
    
    .blogs-view-page .blog-navigation .content span {
        font-size: 11px;
    }
    
    .blogs-view-page .blog-navigation .next .content span img {
        margin: 0;
    }
    
    .blogs-view-page .blog-navigation .cntr-nav-box img {
        max-width: 21px;
    }
    
    section.post-message .container {
        padding: 30px 20px;
    }

    .post-message .reply {
        font-size: 20px;
        padding-bottom: 10px;
    }
    
    .leave-message .form-group input, .leave-message .form-group textarea {
        padding: 10px 15px;
    }

    .comments-title {
        font-size: 20px;
        margin-bottom: 10px;
    }
    
    .comment-date {
        margin: 7px 0;
    }
    
    .comment-content h4 {
        font-size: 18px;
    }
    
    .comment-content p {
        font-size: 13px;
        line-height: normal;
    }
    
    .comment-item:nth-child(odd) {
        padding-left: 0;
    }
    
    section.post-comment-sec {
        padding: 30px 0;
    }
}

@media(min-width: 767px) and (max-width: 992px){
    
    .blogs-view-page .blog-navigation .prev .content span img {
        max-width: 70px;
        margin-right: 10px;
    }
    
    .blogs-view-page .blog-navigation .next .content span img {
        max-width: 70px;
        margin-left: 10px;
    }
    
    section.post-comment-sec {
        padding: 20px 0;
    }
    
    .comments-title {
        font-size: 25px;
        margin-bottom: 10px;
    }
    
    .comment-avatar {
        width: 100px;
        min-width: 100px;
    }
    
    .comment-content h4 {
        font-size: 18px;
    }
    
    .comment-content p {
        font-size: 14px;
    }
    
    .comment-item:nth-child(odd) {
        padding-left: 0;
    }
    
    section.post-message .container {
        padding: 40px;
    }
    
    .post-message .reply {
        font-size: 24px;
        padding-bottom: 0;
    }
    
    .leave-message .form-group input, .leave-message .form-group textarea {
        padding: 10px 15px;
    }
    
}

/*Blog Comments css end*/




/*pagination css*/

.all-pagination .pagination {
    justify-content: left;
}

.all-pagination .page-link {
    border-radius: 10px;
    background: #F3F4F6;
    border: none;
}

.all-pagination .page-item.active .page-link {
    background: var(--sec-color);
}

.all-pagination .page-item:first-child .page-link, .all-pagination .page-item:last-child .page-link {
    background: #F3F4F6 !important;
    color: #000;
    border: none;
    border-radius: 10px;
}

.all-pagination .page-link:hover {
    background: var(--btn-color);
}
